/*
 * Copyright (C) 1994, Silicon Graphics, Inc.
 * All Rights Reserved.
 *
 * This is UNPUBLISHED PROPRIETARY SOURCE CODE of Silicon Graphics, Inc.;
 * the contents of this file may not be disclosed to third parties, copied or
 * duplicated in any form, in whole or in part, without the prior written
 * permission of Silicon Graphics, Inc.
 *
 * RESTRICTED RIGHTS LEGEND:
 * Use, duplication or disclosure by the Government is subject to restrictions
 * as set forth in subdivision (c)(1)(ii) of the Rights in Technical Data
 * and Computer Software clause at DFARS 252.227-7013, and/or in similar or
 * successor clauses in the FAR, DOD or NASA FAR Supplement. Unpublished -
 * rights reserved under the Copyright Laws of the United States.
 */
#include <Xm/Xm.h>
#include <X11/Shell.h>
#include <Xm/DialogS.h>

/* DEFINE SECTION */
#define APP_NAME "FormatConversion"
#define APP_CLASS "Fconv"

Widget CreaterowColumn();

main(argc, argv)
int argc;
char **argv;
{
    Display *display;
    Arg 	args[256];
    int 	argcnt;
    XtAppContext context;
    Widget Shell;
    Widget RowColumn;

    XtToolkitInitialize();
    context = XtCreateApplicationContext();
    display = XtOpenDisplay(context, 0, argv[0],APP_CLASS,
        0, 0, &argc, argv);
    if(display == NULL)
    {
	XtWarning("cannot open display");
	exit(1);
    }
    XmRegisterConverters();
    argcnt = 0;
    XtSetArg(args[argcnt], XmNx, 53); argcnt++;
    XtSetArg(args[argcnt], XmNy, 574); argcnt++;
    Shell = XtAppCreateShell( APP_NAME, APP_CLASS,
        applicationShellWidgetClass, display, args, argcnt);
    RowColumn = CreaterowColumn(Shell);
    XtManageChild(RowColumn);
    XtRealizeWidget(Shell);

    XtAppMainLoop(context);
}
