/*------------------------------------------------------------------------
 * $Id: Registers.c++,v 2.2 1994/01/11 22:22:35 carlson Exp $
 *
 * Methods for Register class.
 *
 * Revision History:
 *	$Log: Registers.c++,v $
// Revision 2.2  1994/01/11  22:22:35  carlson
// Added destructor that will also delete allocated variables.
//
// Revision 2.1  1994/01/08  00:59:37  carlson
// Initial revision.
//
 *------------------------------------------------------------------------*/

#include "Registers.h"
#include <string.h>

/*------------------------------------------------------------------------
 * Registers::appendDocumentation (char *, int)
 *------------------------------------------------------------------------*/

void Registers::appendDocumentation (char *doc, int crlf)
{
    char		*newStr;

    if (_documentation)
    {
	newStr = new char [strlen (_documentation) + strlen (doc) + 2];
	strcpy (newStr, _documentation);
	if (crlf)
	    strcat (newStr, "\n");
	strcat (newStr, doc);
	delete [] _documentation;
    }
    else
    {
	newStr = new char [strlen (doc) + 1];
	strcpy (newStr, doc);
    }
    _documentation = newStr;
}

/*------------------------------------------------------------------------
 * Registers::~Registers ()
 *------------------------------------------------------------------------*/

Registers::~Registers ()
{
    if (_value)
	delete [] _value;
    if (_documentation)
	delete [] _documentation;
}
