/*
 * Copyright (C) 1994, Silicon Graphics, Inc.
 * All Rights Reserved.
 *
 * This is UNPUBLISHED PROPRIETARY SOURCE CODE of Silicon Graphics, Inc.;
 * the contents of this file may not be disclosed to third parties, copied or
 * duplicated in any form, in whole or in part, without the prior written
 * permission of Silicon Graphics, Inc.
 *
 * RESTRICTED RIGHTS LEGEND:
 * Use, duplication or disclosure by the Government is subject to restrictions
 * as set forth in subdivision (c)(1)(ii) of the Rights in Technical Data
 * and Computer Software clause at DFARS 252.227-7013, and/or in similar or
 * successor clauses in the FAR, DOD or NASA FAR Supplement. Unpublished -
 * rights reserved under the Copyright Laws of the United States.
 */
/////////////////////////////////////////////////////////////////////////
// XContact.h --
/////////////////////////////////////////////////////////////////////////
#ifndef XCONTACT_H
#define XCONTACT_H

#include <Vk/VkApp.h>

class XContact : public VkApp {

 public:
  XContact( int* argc, char** argv, const char* bookName=NULL );
  ~XContact();
  const char* className() { return "XContact"; }

  static void QuitYourself( int ... ) { theApplication->quitYourself(); }
  void quitYourself();

  static float Version();

};

#endif
