
     VCAL(1)                   UNIX System V                   VCAL(1)

     NAME
          VCal - calendar with alarms

     SYNTAX
          /usr/local/bin/vcal [-file datbase-file] [-title window-
          title] [-iconName icon-name] [-scheme color-scheme] [-day
          date] [-week date] [-month date] [-printMonth date]

     OPTIONS
          -file database-file
                  This option allows the user to specify a different
                  calendar file.  The default file is "~/.vcal".  VCal
                  supports multiple accessors of the same file, and
                  will update when someone else changes the same file.

          -title window-title
                  This option specifies the window title used by VCal.
                  The default value is "VCal".

          -iconName icon-name
                  This option specifies the icon name used by VCal.
                  The default value is "vcal".

          -scheme color-scheme
                  VCal supports color schemes.  To select a color
                  scheme, choose the name of one of the subdirectories
                  under /usr/lib/X11/schemes.

          -day date
                  This option displays the appointments for the
                  specified day to stdout.  Use "today" to indicate
                  today's date.  An X connection is still required.

          -week date
                  This option displays the appointments for the
                  specified week to stdout.  Use "today" to indicate
                  today's date.  An X connection is still required.

          -month date
                  This option displays the appointments for the
                  specified month to stdout.  Use "today" to indicate
                  today's date.  An X connection is still required.

          -printMonth date
                  This option emits PostScript to stdout, suitable for
                  printing the calendar for the month with entries.
                  Use "today" to indicate today's date.  An X
                  connection is still required.

     DESCRIPTION
          VCal is a simple calendar program with alarms.  You can make
          entries (appointments) that are either single instance or

     Page 1                                          (printed 7/11/94)

     VCAL(1)                   UNIX System V                   VCAL(1)

          repeating, and have alarm events.

          Select the "On Window" menu item under the "Help" menu to
          view the on-line help text.  This text describes VCal and
          its interface.

     CURRENT FEATURES
          Appointments can have multiple alarm events, and alarm
          events can popup a dialog, send email, and/or execute a
          commmand.

          Month and week overview displays.

          Month PostScript printing, day/week/month ASCII output.

          Multi-line text appointments.

          Full control of configurable options through preferences
          dialog.

          Support for multiple, simultaneous accessors of the same
          database.

     AUTHOR
          Mike Yang, mikey@sgi.com, mikey@cs.stanford.edu

          Copyright 1994, Silicon Graphics, Inc.  All Rights Reserved.

     BUGS
          Modifications to repeating entries affect all instances.

          The -daily, -weekly, -monthly, and -printMonth switches
          still require an X connection.

          Alarm advance warnings not specified in days do not work
          across day boundaries.

          Alarms scheduled to fire on a previous day will trigger at
          12am on the the previous day if VCal is running, or at
          startup when VCal is started on the previous day.

          You cannot delete an alarm's entry from the popup dialog if
          the entry is for a future day (i.e. the advance notice is
          measured in days).

          When printing, do not select the "Link in spool directory"
          option because VCal removes the temporary file immediately.

     Page 2                                          (printed 7/11/94)

